import { DEFAULT_LAYOUT } from '../base';
import { AppRouteRecordRaw } from '../types';

const LIST: AppRouteRecordRaw = {
  path: '/promotion',
  name: 'promotion',
  component: DEFAULT_LAYOUT,
  meta: {
    locale: 'menu.promotion',
    requiresAuth: true,
    icon: 'icon-share-alt',
    order: 0,
  },
  children: [
    {
      path: 'list', // The midline path complies with SEO specifications
      name: 'list',
      component: () => import('@/views/promotion/index.vue'),
      meta: {
        locale: 'menu.promotion.Table',
        requiresAuth: true,
        roles: ['*'],
      },
    },{
      path: 'details/:invite_code', // The midline path complies with SEO specifications
      name: 'details',
      component: () => import('@/views/promotion/details.vue'),
      meta: {
        locale: 'menu.promotion.Details',
        hideInMenu:true,
        requiresAuth: true,
        roles: ['*'],
      },
    },
  ],
};

export default LIST;
