import { DEFAULT_LAYOUT } from '../base';
import { AppRouteRecordRaw } from '../types';

const LIST: AppRouteRecordRaw = {
  path: '/settings',
  name: 'settings',
  component: DEFAULT_LAYOUT,
  meta: {
    locale: 'menu.settings',
    requiresAuth: true,
    icon: 'icon-settings',
    order: 3,
  },
  children: [
    {
      path: 'settingslist', // The midline path complies with SEO specifications
      name: 'settingslist',
      component: () => import('@/views/settings/index.vue'),
      meta: {
        locale: 'menu.settings',
        requiresAuth: true,
        roles: ['*'],
      },
    }
  ],
};

export default LIST;
