import { DEFAULT_LAYOUT } from '../base';
import { AppRouteRecordRaw } from '../types';

const JOBUSER: AppRouteRecordRaw = {
  path: '/userReward',
  name: 'userReward',
  component: DEFAULT_LAYOUT,
  meta: {
    locale: 'menu.userReward',
    requiresAuth: true,
    icon: 'icon-gift',
    order: 0,
  },
  children: [
    {
      path: 'userRewards',
      name: 'userRewards',
      component: () => import('@/views/userReward/index.vue'),
      meta: {
        locale: 'menu.userReward.list',
        requiresAuth: true,
        roles: ['*'],
      },
    },
  ],
};

export default JOBUSER;
